use nalgebra_glm as glm;

pub struct Transform {
    pub position: glm::Vec3,
    pub rotation: glm::Vec3,
    pub scale: glm::Vec3,
}

impl Default for Transform {
    fn default() -> Self {
	Transform {
	    position: glm::zero(),
	    rotation: glm::zero(),
	    scale: glm::vec3(1.0, 1.0, 1.0),
	}
    }
}
    
pub trait Spatial {
    fn get_transform() -> Transform;
}
